/*
Theme Name: Betting Hero Jobs Partners (CP Child)
Version: 1.1
Description: A child theme of AmAff Content Platform
Author: Aaron Milgrom
Template: Content-Platform
*/

/* MAIN CONTENT FORMATTING & BG*/
@media screen and (max-width: 899px){
    body {
        background-color: #ccc;
    }
    #page {
        max-width: 100%;
    }
}

aside#secondary, div#page {
    background-color: #dfdfe0;
}

.card {
	position: relative;
}
.card, .widget {
    background: #fff;
    margin: 1rem auto;
    /*width: calc(100% - 3rem) !important;*/
    overflow:hidden;
}
.card .card-title {
	margin: 0;
	padding: 1.5rem;
	/* border-bottom: 1px solid #ccc;*/
}
.card .card-content {
	padding: 1.5rem;
}


.card, .widget {
    margin: 1.5rem auto !important;
    border-radius: 2rem;
    box-shadow: 5px 5px 10px #555;
    width: calc(100% - 1rem);
}
@media screen and (min-width: 900px){
   
    .card {
        width: calc(100% - 3rem);
    }
}

/* TEXT DEFAULTS */
h1, h2, h3, h4 {
    font-weight: 900;
    font-style: italic;
    text-transform: uppercase;
}

/* CTA BUTTONS */
.button.cta_button {
    font-style: italic;
    font-weight: 900;
}

/* PAGE DEFAULTS */
main .entry-content, main .entry-summary {
    border-bottom: none;
}

/* side effect of using Featured Images for banner images */
.page .post-thumbnail {
    display:none;
}

/* CARD STRUCTURE  */
@media screen and (max-width: 899px){
    div#page {
        background-color: #fff;
    }
    main > section.block,
    .entry-header section.block,
    .entry-content section.block,
    .entry-footer section.block,
    .sticky-page-nav section.block,
    #primary > header,
    #primary > .amaff_post_feed_wrap,
    article.page > .page-header,
    article.page > section.block
    /*article.page > .entry-content*/ {
        padding: 0.5rem;
        margin: 1rem auto;
    }
}
@media screen and (min-width: 900px){
    article.page > .page-header{
        /*background: #fff;
        padding: 1.2rem;*/
        margin: 4rem;
        text-align: center;
        /*border-radius: 2rem;*/
        /*box-shadow: 5px 5px 5px #555;*/
    }
}

/* REMOVE CARD STRUCTURE FROM SOME ELEMENTS */
.entry-header .block.review_summary_section {
    margin: 0;
    padding: 0;
    margin: 0;
    box-shadow: none;
  }

/* PAGE HERO */
section#hero-image {
    display: block;
    position: relative;
    background-color: #000;
    width: 100%;
    max-width: 1350px;
    margin: 0 auto;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: 25% 31%;
    text-align: center;
}
section#hero-image .bh-hero-desktop {
    display: none;
}
.bh-hero {
    display: block;
    position: relative;
    padding: 2em 1em;
    z-index: 2;
}
.bh-hero .entry-header {
    display: flex;
    flex-direction: column;
    align-content: center;
    align-items: center;
    justify-content: space-evenly;
    min-height: 10vw;
    max-width: 100%;
    margin: auto;
}
.bh-hero .entry-header h2, .bh-hero .entry-header h3, .bh-hero .entry-header p {
    color: #fff;
    display: block;
    text-align: center;
    margin: auto;
    padding: 0.5rem 0;
    text-shadow: 2px 2px 2px #000;
}
.bh-hero .entry-header h2 {
    font-size: 1.2rem;
    font-style: italic;
    margin-top:0;
}


.bh-hero .entry-header p {
    font-weight: 700;
}

@media screen and (min-width: 900px){
    .bh-hero .entry-header p {
        width:60%;
    }   
}
.bh-hero .entry-header .cta_button_wrap {
    display: block;
    padding: 1rem 0;
    width: 100%;
}
.bh-hero .entry-header .cta_button {
    margin: 0 auto;
}

@media screen and (min-width: 900px){
    section#hero-image {
        width: 95%;
    }
    section#hero-image .bh-hero-desktop {
        position: absolute;
        display: block;
        background-repeat: no-repeat;
        background-size: cover;
        background-position: 25% 75%;
        width: 100%;
        height: 100%;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 1;
    }
    .bh-hero .entry-header h2 {
        font-size: 2.8rem;
    }
}


/* HEADER & MAIN MENU */
header#masthead {
    border-bottom: none;
}
#masthead::after {
    content: '';
    display: block;
    overflow: hidden;
    clear: both;
}
#masthead .become_a_hero a {
    display: inline-block;
    background: #1d823e;
    border: 1px solid #1d823e;
    color: #fff;
    padding: 0.5rem 1.5rem;
    font-family: 'Montserrat', sans-serif;
    font-size: 0.8rem;
    margin: 1rem;
    border-radius: 0.25rem;
}
#masthead .become_a_hero a:hover {
    background: #fff;
    color: #1d823e;
}
.main-navigation ul li a {
    font-family: 'Montserrat', sans-serif;
    text-align: center;
    font-weight: 900;
    text-transform: uppercase;
    font-style: italic;
    font-size: 1.2rem;
    line-height: 1.2;
}
@media screen and (max-width: 899px){
    .main-navigation.toggled .main-menu-container ul {
        padding: 1rem 0;
    }
    header#masthead .boxed-content {
        text-align: center;
    }
    header#masthead .site-branding {
        margin: 0 auto;
    }
    .header_social_links {
        display: none;
    }
    #site-navigation:not(.toggled) .become_a_hero {
        display: none;
    }
    #site-navigation.toggled .become_a_hero {
        display: block;
        position: relative;
        width: 100%;
        margin: 0;
        padding: 1rem 0 0;
        overflow: hidden;
        background: #222;
    }
}
@media screen and (min-width: 900px){
    #masthead .become_a_hero {
        margin-left: 1.5rem;
        order: 2;
    }    
    #masthead .become_a_hero a {
        padding: 0.25rem 0.5rem;
        margin: 0.5rem 0 0.5rem 0.5rem;
    }

    #masthead .boxed-content {
        display: flex;
        align-items: stretch;
    }
    header#masthead .site-branding {
        display: flex;
        align-items: center;
    }
    #site-navigation {
        width: calc(100% - 200px);
        display: flex;
        align-items: center;
    }
    #site-navigation .main-menu-container {
        flex: 1;
    }
    #site-navigation .nav-menu {
        display: flex;
        justify-content: space-around;
        align-items: stretch;
        flex-wrap: wrap;
    }
    #site-navigation .nav-menu li {
        display: flex;
        align-items: center;
    }
    #site-navigation .nav-menu li {
        transition: all 0.2s;
    }
    .header_social_links {
        padding-top: 6px;
        margin: 0.5rem;
    }
}

/* SLICK SLIDER DOTS */
.slick-dotted.slick-slider {
    margin-bottom: 2.5rem;
}
.slick-dots {
    position: absolute;
    bottom: -2.5rem;
    display: block;
    width: 100%;
    padding: 0;
    margin: 0;
    list-style: none;
    text-align: center;
}
.slick-dots li {
    position: relative;
    display: inline-block;
    width: 20px;
    height: 20px;
    margin: 0 5px;
    padding: 0;
    cursor: pointer;
}
.slick-dots li button {
    font-size: 0;
    line-height: 0;
    display: block;
    width: 20px;
    height: 20px;
    padding: 5px;
    cursor: pointer;
    color: transparent;
    border: 0;
    outline: 0;
    background: 0 0;
}
.slick-dots li button::before {
    content: '\2022';
    font-size: 2rem;
    line-height: 20px;
    position: absolute;
    top: 0;
    left: 0;
    width: 20px;
    height: 20px;
    text-align: center;
    opacity: .25;
    color: #000;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}
.slick-dots li.slick-active button::before {
    opacity: 1;
}



/* FOOTER */
footer#colophon {
    border-top: none !important;
    margin-top: 0;
}
footer#colophon nav li a {
    font-family: 'Montserrat', sans-serif;
    font-weight: 900;
    font-style: italic;
    font-size: 1.2rem;
    text-transform: uppercase;
    transition: all 0.2s;
}
footer#colophon nav li a:hover {
    color: #1d823e !important;
}

footer#colophon .footer-main-menu-container {
    display: block;
    background: #fff;
    width: 100%;
}
footer#colophon #footer-primary-menu {
    display: flex;
    flex-direction: column;
    width: 100%;
    margin: 0 auto;
    padding: 1rem 0;
}
footer#colophon #footer-primary-menu li {
    list-style: none;
    border-bottom: 1px solid #ccc;
}
footer#colophon #footer-primary-menu li:last-of-type {
    border-bottom: none;
}
footer#colophon #footer-primary-menu li a {
    display: inline-block;
    padding: 0.5rem;
    color: #000;
}
@media screen and (min-width: 900px) {
    footer#colophon #footer-primary-menu {
        flex-direction: row;
        justify-content: center;
        max-width: 1350px;
        width: 95%;
        padding: 1.25rem 0;
    }
    footer#colophon #footer-primary-menu li {
        border-bottom: none;
        border-right: 1px solid #ccc;
        padding: 0 1rem;
    }
    footer#colophon #footer-primary-menu li:last-of-type {
        border-right: none;
    }
    footer#colophon #footer-primary-menu li a {
        padding: 0;
    }

    footer#colophon #footer-navigation ul#footer-menu {
        justify-content: space-around;
    }
    footer#colophon #footer-navigation ul#footer-menu li {
        padding-bottom: 0 !important;
    }
    footer#colophon #footer-navigation ul#footer-menu li a {
        padding-left: 0 !important;
    }
}


/* SOCIAL LINKS */
.site_social_links a {
    margin: 0.5rem;
    display: inline-block;
    padding: 7px;
    background: #1d823e;
    border-radius: 2em;
    width: 35px;
    height: 35px;
    position: relative;
    border: 1px solid #1d823e;
    text-align: center;
    transition: all 0.2s;
}
.site_social_links a .amaff-icon {
    fill: #fff !important;
    width: 20px;
    height: 20px;
}
.site_social_links a:hover {
    background: #000;
}
.site_social_links a:hover .amaff-icon {
    fill: #1d823e !important;
}


/* GRAVITY FORMS */
.gform_wrapper.gravity-theme{
    padding:0rem 6rem;
}

.gform_wrapper.gravity-theme .gform_footer input.button,
.gform_wrapper.gravity-theme .gfield_label{
    font-family: 'Montserrat', sans-serif;
    font-weight: 900;
    font-style: italic;
    font-size: 1.2rem;
    text-transform: uppercase;
    transition: all 0.2s;
}

.gform_wrapper.gravity-theme .password_input_container {
    padding-right: 0 !important;
}

.gform_wrapper.gravity-theme .gform_footer{
    justify-content: center;
}

.gform_wrapper.gravity-theme .gform_footer input.button {
    background: #1d823e;
    border-color: #1d823e;
    color: #fff;
}
.gform_wrapper.gravity-theme .gform_footer input.button:hover {
    background: #000;
    border-color: #000;
}


/* PRIVACY & TERMS */
.privacy-terms ol header {
    font-weight: 700;
}

/* Jobs.bettinghero.com */

main#primary > section.block {
    background: #dfdfe0;
    padding: 1.2rem;
    margin: 0;
}

main#primary > section.block > header{
    text-align:center;
}

main#primary > section:nth-child(odd){
    background-color: white;
}

main#primary >section h2, main#primary >section h3{
    text-align:center;
}


.copy{
    font-size:0.9rem;
    font-weight: 500;
}
/* Our Mission */


@media screen and (min-width: 900px){
    
    main#primary  .wrap{
        display:grid;
        grid-template-columns: 1fr 1fr 1fr;
    }
}

main#primary .wrap .card{
    padding: 2rem 1rem;
}
main#primary  .wrap .card-title{
    border-bottom:none;
    text-align:center;
    padding:0;
}

main#primary  .wrap .card-title h3{
    font-size:1.3em;
}

.slide {
    margin: 0 1rem;
}
/* Events */ 
/* EVENT PHOTOS SLIDER */
.event_photos_wrap .slide {
    /*height : 200px;*/
    display: block;
    position: relative;
    padding: 2em;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    text-align: center;
    aspect-ratio: 1/1;
}



@media screen and (max-width: 599px){
    .card.event-photos .card-content {
        padding-left: 0;
        padding-right: 0;
    }
}

/* States Slider */
.state_svg_wrap{
    margin:2em;
}

.state_label{
    text-align: center;
}

/* Testimonials */
.testimonials_wrap .card div{
    font-weight: 900;
    font-style: italic;
    text-transform: uppercase;
    font-size:1.3em;
}

/* Register Button */
#register-here a.button{
    margin-top:1em;
    font-size: 1.8em;
    padding: 0.1em 1em;
    box-shadow: 5px 5px 5px #555;
}
@media screen and (max-width: 599px){
    .card.event-photos .card-content {
        padding-left: 0;
        padding-right: 0;
    }
}

/* since our navigation is unorthodox, disabling current page color */
.main-navigation .current_page_item > a, .main-navigation .current-menu-item > a{
    color:#fff !important;
}
#confirmation div{
    font-size:1.2em;
}
#confirmation label{
    font-size:1.2em;
    font-weight: 900;
    font-style: italic;
    text-transform: uppercase;
    font-family: 'Montserrat', sans-serif;   
    padding-right:1rem;
}